% Exercise 1.1

% Add the path to the additional m-files
addpath('functions');

% -------------------------------------------------------------------------
% Edit this part to do the exercises

% Choose the parent x0 that will be mutated. x0 must be a column vector, it
% can have an arbitrary number of dimensions, but plotting of the fitness
% landscape is only possible for the 1D or 2D case.
x0 = 10; % 1 parameter
%x0 = [10; 10]; % 2 parameters
%x0 = 10*ones(50, 1); % 50 parameters

% Set the standard deviation of the Gaussian mutations
stdev = 1;

% Set number of offspring to be generated
numOffspring = 25;

% -------------------------------------------------------------------------

plotFitnessLandscape = 1; % Set to zero to disable the plots
[parentFitness offspringFitness] = generateOffspring(x0, stdev, numOffspring, plotFitnessLandscape);

% Boxplot of the offspring fitnesses. The fitness of the parent is plotted as
% a dashed, green line.
figure;
hold on;
boxplot(offspringFitness);
plot([0 2], [parentFitness parentFitness], 'g--');
ylabel Fitness;
xlabel('');
ylim_ = ylim;
ylim([0 ylim_(2)]);
