function plot2D(f, xlimits)

    dx = (xlimits(2) - xlimits(1))/50;
    x = xlimits(1):dx:xlimits(2);
    
    Z = zeros(length(x), length(x));
    for i = 1:length(x)
        for j = 1:length(x)
            Z(i,j) =  f([x(i) x(j)]);
        end
    end

    %contour(x, x, Z);
    %colorbar;
    map = colormap('hot');
    colormap(flipud(map));
    contourf(x, x, Z, 64, 'LineStyle','none', 'Fill','on');

end