% Exercise 2.1

% Add the path to the additional m-files
addpath('functions');
    
% -------------------------------------------------------------------------
% Edit this part to do the exercises

nvars = 1; % Number of dimensions of the search space
stdev = 1; % Standard deviation of the Gaussian mutations
numGenerations = 100; % Number of generations of the GA

% -------------------------------------------------------------------------

crossover = 0; % Crossover fraction
tournamentSize = 2; % Tournament size
popSize = 20; % Population size
popInitRange = [-10; 10]; % Range for the initial population
display = 1; % Plot initial and final populations

% Run the GA
[bestIndividual bestFitness] = runGA(@fsphere, nvars, stdev, crossover, tournamentSize, popSize, popInitRange, numGenerations, display);

% Display the results
bestIndividual
bestFitness
% The distance from the optimum in the N-dimensional space
distanceFromGlobalOptimum = sqrt(sum(bestIndividual.^2))


